      program testcldtm
      implicit none

      INCLUDE 'SPVAL'
      INCLUDE 'SPGUNT'
      INCLUDE 'PLCOEF'


      CHARACTER*8 PROGNAM
      INTEGER     CDBSTAT, NCH1, NCH2
      REAL        BTT(4),RADT(4),CLTTMP,PLKRAD

      PROGNAM = 'TESTCLDT'

      call OPENCDB(CDBUNT,KUNIT,PROGNAM,CDBSTAT)

      call PLCDBV(CDBUNT,CDBSTAT)

      CLOSE(CDBUNT)

      read(5,*) NCH1
      read(5,*) NCH2

      read(5,*) BTT(1)
      read(5,*) BTT(2)
      read(5,*) BTT(3)
      read(5,*) BTT(4)

      RADT(1) = PLKRAD(BTT(1),NCH1)
      RADT(2) = PLKRAD(BTT(2),NCH2)
      RADT(3) = PLKRAD(BTT(3),NCH1)
      RADT(4) = PLKRAD(BTT(4),NCH2)


      call CLDTEMPRINT(NCH1, NCH2, RADT, BTT, CLTTMP)



      STOP
      END
